#!/usr/bin/env python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# file: vmware_vcsa_vcenter_services_extension.py
#
# created: 19/06/2019
#
# Author: Thomas Sielaff
# email: cmk_ts@alter-verwalter.de
#
#

group = "datasource_programs"
register_rule(group,
              "special_agents:vcsa7_services_health",
              Dictionary(elements=[
                  ("username", TextAscii(title=_("Username"),
                                         allow_empty=False,
                                         )
                   ),
                  ("password", Password(title=_("Password"),
                                        allow_empty=False,
                                        )
                   ),
                  ("no_cert_check", FixedValue(
                          True,
                          title=_("Disable SSL certificate validation"),
                          totext=_("SSL certificate validation is disabled"),
                              )
                   ),
                  ("V7enable", FixedValue(
                          True,
                          title=_("Enable vcenter 7 queries"),
                          totext=_("Vcenter 7 queries is enabled"),
                              )
                   )],


                      optional_keys=['no_cert_check','V7enable']
                        ),
              title=_("Check health state of VMware vCSA Services "),
              help=_("This rule selects the VMware vCSA agent instead of the "
                     "Check_MK Agent and allows monitoring of the VMware "
                     "vCenter Server Appliance (vCSA) using its vCenter API. "
                     "You can configure your connection settings here."),
              )
